Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8211906

Use the toolchain/compiler version to set HOTSPOT_BUILD_COMPILER so that hotspot doesn't need to do it

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Open
    • Priority: P3
    • Resolution: Unresolved
    • Affects Version/s: 12
    • Fix Version/s: tbd
    • Component/s: infrastructure
    • Labels:

      Description

      Hotspot's vm_version.cpp currently does:

       211 #ifndef HOTSPOT_BUILD_COMPILER
       212 #ifdef _MSC_VER
       213 #if _MSC_VER == 1600
       214 #define HOTSPOT_BUILD_COMPILER "MS VC++ 10.0 (VS2010)"
       215 #elif _MSC_VER == 1700
       216 #define HOTSPOT_BUILD_COMPILER "MS VC++ 11.0 (VS2012)"
      ...

      and similarly for the other compilers.

      Configure already extracts the compiler version information e.g.

      * Toolchain: microsoft (Microsoft Visual Studio 2017 15.5.5 (devkit))

      so we should use this information to set HOTSPOT_BUILD_COMPILER so that the mapping tables in the source code can be removed and do not need to be updated for each new compiler update.

        Attachments

          Activity

            People

            Assignee:
            ihse Magnus Ihse Bursie
            Reporter:
            dholmes David Holmes
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated: